package com.tencent.bugly;

import android.content.Context;
import android.text.TextUtils;
import com.tencent.bugly.BuglyStrategy;
import com.tencent.bugly.crashreport.CrashReport;
import com.tencent.bugly.crashreport.common.strategy.StrategyBean;
import com.tencent.bugly.crashreport.crash.jni.NativeCrashHandler;
import com.tencent.bugly.proguard.aa;
import com.tencent.bugly.proguard.al;
import com.tencent.bugly.proguard.aq;
import com.tencent.bugly.proguard.at;
import com.tencent.bugly.proguard.au;
import com.tencent.bugly.proguard.o;
import com.tencent.bugly.proguard.u;
import com.tencent.bugly.proguard.z;
/* loaded from: classes.dex */
public class CrashModule extends o {
    public static final int MODULE_ID = 1004;
    private static int c;
    private static CrashModule e = new CrashModule();
    private long a;
    private BuglyStrategy.a b;
    private boolean d = false;

    private synchronized void a(Context context, BuglyStrategy buglyStrategy) {
        if (buglyStrategy == null) {
            return;
        }
        String libBuglySOFilePath = buglyStrategy.getLibBuglySOFilePath();
        if (!TextUtils.isEmpty(libBuglySOFilePath)) {
            aa.a(context).t = libBuglySOFilePath;
            al.a("setted libBugly.so file path :%s", libBuglySOFilePath);
        }
        if (buglyStrategy.getCrashHandleCallback() != null) {
            this.b = buglyStrategy.getCrashHandleCallback();
            al.a("setted CrashHanldeCallback", new Object[0]);
        }
        if (buglyStrategy.getAppReportDelay() > 0) {
            this.a = buglyStrategy.getAppReportDelay();
            al.a("setted delay: %d", Long.valueOf(this.a));
        }
    }

    public static CrashModule getInstance() {
        e.id = MODULE_ID;
        return e;
    }

    @Override // com.tencent.bugly.proguard.o
    public String[] getTables() {
        return new String[]{"t_cr"};
    }

    public synchronized boolean hasInitialized() {
        return this.d;
    }

    /* JADX WARN: Removed duplicated region for block: B:17:0x0076 A[Catch: all -> 0x00df, TryCatch #0 {, blocks: (B:4:0x0003, B:7:0x0009, B:9:0x0033, B:11:0x0055, B:15:0x0064, B:17:0x0076, B:19:0x007d, B:22:0x0084, B:25:0x0094, B:28:0x009b, B:31:0x00ab, B:33:0x00b3, B:35:0x00ba, B:29:0x00a6, B:23:0x008f, B:12:0x005b, B:13:0x005d, B:14:0x0061), top: B:43:0x0003 }] */
    /* JADX WARN: Removed duplicated region for block: B:25:0x0094 A[Catch: all -> 0x00df, TryCatch #0 {, blocks: (B:4:0x0003, B:7:0x0009, B:9:0x0033, B:11:0x0055, B:15:0x0064, B:17:0x0076, B:19:0x007d, B:22:0x0084, B:25:0x0094, B:28:0x009b, B:31:0x00ab, B:33:0x00b3, B:35:0x00ba, B:29:0x00a6, B:23:0x008f, B:12:0x005b, B:13:0x005d, B:14:0x0061), top: B:43:0x0003 }] */
    /* JADX WARN: Removed duplicated region for block: B:31:0x00ab A[Catch: all -> 0x00df, TryCatch #0 {, blocks: (B:4:0x0003, B:7:0x0009, B:9:0x0033, B:11:0x0055, B:15:0x0064, B:17:0x0076, B:19:0x007d, B:22:0x0084, B:25:0x0094, B:28:0x009b, B:31:0x00ab, B:33:0x00b3, B:35:0x00ba, B:29:0x00a6, B:23:0x008f, B:12:0x005b, B:13:0x005d, B:14:0x0061), top: B:43:0x0003 }] */
    /* JADX WARN: Removed duplicated region for block: B:33:0x00b3 A[Catch: all -> 0x00df, TryCatch #0 {, blocks: (B:4:0x0003, B:7:0x0009, B:9:0x0033, B:11:0x0055, B:15:0x0064, B:17:0x0076, B:19:0x007d, B:22:0x0084, B:25:0x0094, B:28:0x009b, B:31:0x00ab, B:33:0x00b3, B:35:0x00ba, B:29:0x00a6, B:23:0x008f, B:12:0x005b, B:13:0x005d, B:14:0x0061), top: B:43:0x0003 }] */
    /* JADX WARN: Removed duplicated region for block: B:34:0x00b8  */
    @Override // com.tencent.bugly.proguard.o
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public synchronized void init(Context context, boolean z, BuglyStrategy buglyStrategy) {
        NativeCrashHandler nativeCrashHandler;
        if (context != null) {
            if (!this.d) {
                al.a("Initializing crash module.", new Object[0]);
                u a = u.a();
                int i = c + 1;
                c = i;
                a.a(i);
                this.d = true;
                CrashReport.setContext(context);
                a(context, buglyStrategy);
                at a2 = at.a(context, z, this.b);
                a2.t.a();
                if (buglyStrategy != null) {
                    a2.B = buglyStrategy.getCallBackType();
                    a2.C = buglyStrategy.getCloseErrorCallback();
                    at.o = buglyStrategy.isUploadSpotCrash();
                    aa.a(context).S = buglyStrategy.isEnableRecordAnrMainStack();
                    if (!buglyStrategy.isEnableCatchAnrTrace()) {
                        a2.u.disableCatchAnrTrace();
                        if (aa.b().d.equals(z.a(a2.c))) {
                            a2.u.removeEmptyNativeRecordFiles();
                        }
                        if (buglyStrategy != null && !buglyStrategy.isEnableNativeCrashMonitor()) {
                            al.a("[crash] Closed native crash monitor!", new Object[0]);
                            a2.d();
                            if (buglyStrategy != null && !buglyStrategy.isEnableANRCrashMonitor()) {
                                al.a("[crash] Closed ANR monitor!", new Object[0]);
                                a2.g();
                                if (buglyStrategy != null) {
                                    at.e = buglyStrategy.isMerged();
                                }
                                a2.a(buglyStrategy == null ? buglyStrategy.getAppReportDelay() : 0L);
                                a2.u.checkUploadRecordCrash();
                                au.a(context);
                                aq a3 = aq.a();
                                a3.a("android.net.conn.CONNECTIVITY_CHANGE");
                                a3.a(context);
                                u a4 = u.a();
                                int i2 = c - 1;
                                c = i2;
                                a4.a(i2);
                            }
                            a2.f();
                            if (buglyStrategy != null) {
                            }
                            a2.a(buglyStrategy == null ? buglyStrategy.getAppReportDelay() : 0L);
                            a2.u.checkUploadRecordCrash();
                            au.a(context);
                            aq a32 = aq.a();
                            a32.a("android.net.conn.CONNECTIVITY_CHANGE");
                            a32.a(context);
                            u a42 = u.a();
                            int i22 = c - 1;
                            c = i22;
                            a42.a(i22);
                        }
                        a2.e();
                        if (buglyStrategy != null) {
                            al.a("[crash] Closed ANR monitor!", new Object[0]);
                            a2.g();
                            if (buglyStrategy != null) {
                            }
                            a2.a(buglyStrategy == null ? buglyStrategy.getAppReportDelay() : 0L);
                            a2.u.checkUploadRecordCrash();
                            au.a(context);
                            aq a322 = aq.a();
                            a322.a("android.net.conn.CONNECTIVITY_CHANGE");
                            a322.a(context);
                            u a422 = u.a();
                            int i222 = c - 1;
                            c = i222;
                            a422.a(i222);
                        }
                        a2.f();
                        if (buglyStrategy != null) {
                        }
                        a2.a(buglyStrategy == null ? buglyStrategy.getAppReportDelay() : 0L);
                        a2.u.checkUploadRecordCrash();
                        au.a(context);
                        aq a3222 = aq.a();
                        a3222.a("android.net.conn.CONNECTIVITY_CHANGE");
                        a3222.a(context);
                        u a4222 = u.a();
                        int i2222 = c - 1;
                        c = i2222;
                        a4222.a(i2222);
                    }
                    nativeCrashHandler = a2.u;
                } else {
                    nativeCrashHandler = a2.u;
                }
                nativeCrashHandler.enableCatchAnrTrace();
                if (aa.b().d.equals(z.a(a2.c))) {
                }
                if (buglyStrategy != null) {
                    al.a("[crash] Closed native crash monitor!", new Object[0]);
                    a2.d();
                    if (buglyStrategy != null) {
                    }
                    a2.f();
                    if (buglyStrategy != null) {
                    }
                    a2.a(buglyStrategy == null ? buglyStrategy.getAppReportDelay() : 0L);
                    a2.u.checkUploadRecordCrash();
                    au.a(context);
                    aq a32222 = aq.a();
                    a32222.a("android.net.conn.CONNECTIVITY_CHANGE");
                    a32222.a(context);
                    u a42222 = u.a();
                    int i22222 = c - 1;
                    c = i22222;
                    a42222.a(i22222);
                }
                a2.e();
                if (buglyStrategy != null) {
                }
                a2.f();
                if (buglyStrategy != null) {
                }
                a2.a(buglyStrategy == null ? buglyStrategy.getAppReportDelay() : 0L);
                a2.u.checkUploadRecordCrash();
                au.a(context);
                aq a322222 = aq.a();
                a322222.a("android.net.conn.CONNECTIVITY_CHANGE");
                a322222.a(context);
                u a422222 = u.a();
                int i222222 = c - 1;
                c = i222222;
                a422222.a(i222222);
            }
        }
    }

    @Override // com.tencent.bugly.proguard.o
    public void onServerStrategyChanged(StrategyBean strategyBean) {
        at a;
        if (strategyBean == null || (a = at.a()) == null) {
            return;
        }
        a.t.a(strategyBean);
        a.u.onStrategyChanged(strategyBean);
        a.x.b();
    }
}
