package com.tencent.bugly.proguard;

import android.content.Context;
import android.os.Process;
import com.tencent.bugly.crashreport.common.strategy.StrategyBean;
import com.tencent.bugly.crashreport.crash.CrashDetailBean;
import java.lang.Thread;
import java.util.HashMap;
import org.cocos2dx.lib.BuildConfig;
/* loaded from: classes.dex */
public final class av implements Thread.UncaughtExceptionHandler {
    private static String h;
    private static final Object i = new Object();
    protected final Context a;
    protected final as b;
    protected final ac c;
    protected final aa d;
    protected Thread.UncaughtExceptionHandler e;
    protected Thread.UncaughtExceptionHandler f;
    protected boolean g = false;
    private int j;

    public av(Context context, as asVar, ac acVar, aa aaVar) {
        this.a = context;
        this.b = asVar;
        this.c = acVar;
        this.d = aaVar;
    }

    private static String a(Throwable th) {
        String message = th.getMessage();
        if (message == null) {
            return BuildConfig.FLAVOR;
        }
        if (message.length() <= 1000) {
            return message;
        }
        return message.substring(0, 1000) + "\n[Message over limit size:1000, has been cutted!]";
    }

    private static String a(Throwable th, int i2) {
        StackTraceElement[] stackTrace;
        if (th == null) {
            return null;
        }
        StringBuilder sb = new StringBuilder();
        try {
            if (th.getStackTrace() != null) {
                for (StackTraceElement stackTraceElement : th.getStackTrace()) {
                    if (i2 > 0 && sb.length() >= i2) {
                        sb.append("\n[Stack over limit size :" + i2 + " , has been cutted !]");
                        return sb.toString();
                    }
                    sb.append(stackTraceElement.toString());
                    sb.append("\n");
                }
            }
        } catch (Throwable th2) {
            al.e("gen stack error %s", th2.toString());
        }
        return sb.toString();
    }

    private static void a(CrashDetailBean crashDetailBean, Throwable th, boolean z) {
        String a;
        String name = th.getClass().getName();
        String a2 = a(th);
        Object[] objArr = new Object[2];
        objArr[0] = Integer.valueOf(th.getStackTrace().length);
        objArr[1] = Boolean.valueOf(th.getCause() != null);
        al.e("stack frame :%d, has cause %b", objArr);
        String str = BuildConfig.FLAVOR;
        if (th.getStackTrace().length > 0) {
            str = th.getStackTrace()[0].toString();
        }
        Throwable th2 = th;
        while (th2 != null && th2.getCause() != null) {
            th2 = th2.getCause();
        }
        if (th2 == null || th2 == th) {
            crashDetailBean.n = name;
            boolean i2 = at.a().i();
            String str2 = BuildConfig.FLAVOR;
            if (i2 && z) {
                al.e("This Crash Caused By ANR , PLS To Fix ANR , This Trace May Be Not Useful!", new Object[0]);
                str2 = " This Crash Caused By ANR , PLS To Fix ANR , This Trace May Be Not Useful![Bugly]";
            }
            crashDetailBean.o = a2 + str2;
            crashDetailBean.p = str;
            a = a(th, at.h);
            crashDetailBean.q = a;
        } else {
            crashDetailBean.n = th2.getClass().getName();
            crashDetailBean.o = a(th2);
            if (th2.getStackTrace().length > 0) {
                crashDetailBean.p = th2.getStackTrace()[0].toString();
            }
            StringBuilder sb = new StringBuilder();
            sb.append(name);
            sb.append(":");
            sb.append(a2);
            sb.append("\n");
            sb.append(str);
            sb.append("\n......");
            sb.append("\nCaused by:\n");
            sb.append(crashDetailBean.n);
            sb.append(":");
            sb.append(crashDetailBean.o);
            sb.append("\n");
            a = a(th2, at.h);
            sb.append(a);
            crashDetailBean.q = sb.toString();
        }
        crashDetailBean.u = ap.c(crashDetailBean.q.getBytes());
        crashDetailBean.z.put(crashDetailBean.B, a);
    }

    private static boolean a(Thread.UncaughtExceptionHandler uncaughtExceptionHandler) {
        StackTraceElement[] stackTrace;
        if (uncaughtExceptionHandler == null) {
            return true;
        }
        String name = uncaughtExceptionHandler.getClass().getName();
        for (StackTraceElement stackTraceElement : Thread.currentThread().getStackTrace()) {
            String className = stackTraceElement.getClassName();
            String methodName = stackTraceElement.getMethodName();
            if (name.equals(className) && "uncaughtException".equals(methodName)) {
                return false;
            }
        }
        return true;
    }

    private static boolean a(Thread thread) {
        synchronized (i) {
            if (h != null && thread.getName().equals(h)) {
                return true;
            }
            h = thread.getName();
            return false;
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:33:0x0115 A[Catch: Throwable -> 0x0146, TryCatch #0 {Throwable -> 0x0146, blocks: (B:23:0x0102, B:28:0x010d, B:33:0x0115, B:35:0x0125, B:36:0x0127), top: B:41:0x0102 }] */
    /* JADX WARN: Removed duplicated region for block: B:35:0x0125 A[Catch: Throwable -> 0x0146, TryCatch #0 {Throwable -> 0x0146, blocks: (B:23:0x0102, B:28:0x010d, B:33:0x0115, B:35:0x0125, B:36:0x0127), top: B:41:0x0102 }] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private CrashDetailBean b(Thread thread, Throwable th, boolean z, String str, byte[] bArr, boolean z2) {
        boolean z3;
        boolean z4;
        if (th == null) {
            al.d("We can do nothing with a null throwable.", new Object[0]);
            return null;
        }
        CrashDetailBean crashDetailBean = new CrashDetailBean();
        crashDetailBean.r = System.currentTimeMillis();
        crashDetailBean.C = ab.j();
        crashDetailBean.D = ab.f();
        crashDetailBean.E = ab.l();
        crashDetailBean.F = this.d.k();
        crashDetailBean.G = this.d.j();
        crashDetailBean.H = this.d.l();
        crashDetailBean.I = (z || aa.B() < 31) ? ab.b(this.a) : 0L;
        crashDetailBean.J = ab.g();
        crashDetailBean.K = ab.h();
        crashDetailBean.y = ao.a();
        Object[] objArr = new Object[1];
        objArr[0] = Integer.valueOf(crashDetailBean.y == null ? 0 : crashDetailBean.y.length);
        al.a("user log size:%d", objArr);
        crashDetailBean.b = z ? 0 : 2;
        crashDetailBean.e = this.d.g();
        crashDetailBean.f = this.d.o;
        crashDetailBean.g = this.d.q();
        crashDetailBean.m = this.d.f();
        crashDetailBean.z = ap.a(z2, at.h);
        crashDetailBean.A = this.d.d;
        crashDetailBean.B = thread.getName() + "(" + thread.getId() + ")";
        crashDetailBean.L = this.d.s();
        crashDetailBean.h = this.d.p();
        crashDetailBean.i = this.d.A();
        crashDetailBean.Q = this.d.a;
        crashDetailBean.R = this.d.a();
        a(crashDetailBean, th, z);
        if (!z) {
            if (str != null) {
                try {
                    if (str.length() > 0) {
                        z3 = true;
                        z4 = bArr == null && bArr.length > 0;
                        if (z3) {
                            crashDetailBean.S = new HashMap(1);
                            crashDetailBean.S.put("UserData", str);
                        }
                        if (z4) {
                            crashDetailBean.Y = bArr;
                        }
                    }
                } catch (Throwable th2) {
                    al.e("handle crash error %s", th2.toString());
                }
            }
            z3 = false;
            if (bArr == null) {
            }
            if (z3) {
            }
            if (z4) {
            }
        }
        crashDetailBean.U = this.d.z();
        crashDetailBean.V = this.d.x;
        crashDetailBean.W = this.d.t();
        crashDetailBean.X = this.d.y();
        return crashDetailBean;
    }

    private static void c() {
        al.e("current process die", new Object[0]);
        Process.killProcess(Process.myPid());
        System.exit(1);
    }

    public final synchronized void a() {
        if (this.j >= 10) {
            al.a("java crash handler over %d, no need set.", 10);
            return;
        }
        this.g = true;
        Thread.UncaughtExceptionHandler defaultUncaughtExceptionHandler = Thread.getDefaultUncaughtExceptionHandler();
        if (defaultUncaughtExceptionHandler != null) {
            if (getClass().getName().equals(defaultUncaughtExceptionHandler.getClass().getName())) {
                return;
            }
            if ("com.android.internal.os.RuntimeInit$UncaughtHandler".equals(defaultUncaughtExceptionHandler.getClass().getName())) {
                al.a("backup system java handler: %s", defaultUncaughtExceptionHandler.toString());
                this.f = defaultUncaughtExceptionHandler;
            } else {
                al.a("backup java handler: %s", defaultUncaughtExceptionHandler.toString());
            }
            this.e = defaultUncaughtExceptionHandler;
        }
        Thread.setDefaultUncaughtExceptionHandler(this);
        this.j++;
        al.a("registered java monitor: %s", toString());
    }

    public final synchronized void a(StrategyBean strategyBean) {
        if (strategyBean != null) {
            if (strategyBean.f != this.g) {
                al.a("java changed to %b", Boolean.valueOf(strategyBean.f));
                if (strategyBean.f) {
                    a();
                    return;
                }
                b();
            }
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:79:0x0179, code lost:
        if (r7.f != null) goto L24;
     */
    /* JADX WARN: Code restructure failed: missing block: B:81:0x017d, code lost:
        com.tencent.bugly.proguard.al.e("crashreport last handle start!", new java.lang.Object[0]);
        c();
        r8 = "crashreport last handle end!";
     */
    /* JADX WARN: Code restructure failed: missing block: B:95:0x01a9, code lost:
        if (r7.f != null) goto L24;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final void a(Thread thread, Throwable th, boolean z, String str, byte[] bArr, boolean z2) {
        Object[] objArr;
        String str2;
        String str3;
        if (z) {
            al.e("Java Crash Happen cause by %s(%d)", thread.getName(), Long.valueOf(thread.getId()));
            if (a(thread)) {
                al.a("this class has handled this exception", new Object[0]);
                if (this.f != null) {
                    al.a("call system handler", new Object[0]);
                    this.f.uncaughtException(thread, th);
                } else {
                    c();
                }
            }
        } else {
            al.e("Java Catch Happen", new Object[0]);
        }
        try {
        } catch (Throwable th2) {
            try {
                if (!al.a(th2)) {
                    th2.printStackTrace();
                }
                if (!z) {
                    return;
                }
                if (this.e == null || !a(this.e)) {
                }
            } catch (Throwable th3) {
                if (z) {
                    if (this.e != null && a(this.e)) {
                        al.e("sys default last handle start!", new Object[0]);
                        this.e.uncaughtException(thread, th);
                        objArr = new Object[0];
                        str2 = "sys default last handle end!";
                    } else if (this.f != null) {
                        al.e("system handle start!", new Object[0]);
                        this.f.uncaughtException(thread, th);
                        objArr = new Object[0];
                        str2 = "system handle end!";
                    } else {
                        al.e("crashreport last handle start!", new Object[0]);
                        c();
                        objArr = new Object[0];
                        str2 = "crashreport last handle end!";
                    }
                    al.e(str2, objArr);
                }
                throw th3;
            }
        }
        if (!this.g) {
            al.c("Java crash handler is disable. Just return.", new Object[0]);
            if (z) {
                if (this.e == null || !a(this.e)) {
                    if (this.f == null) {
                        al.e("crashreport last handle start!", new Object[0]);
                        c();
                        al.e("crashreport last handle end!", new Object[0]);
                        return;
                    }
                    al.e("system handle start!", new Object[0]);
                    this.f.uncaughtException(thread, th);
                    str3 = "system handle end!";
                    al.e(str3, new Object[0]);
                }
                al.e("sys default last handle start!", new Object[0]);
                this.e.uncaughtException(thread, th);
                str3 = "sys default last handle end!";
                al.e(str3, new Object[0]);
            }
            return;
        }
        if (!this.c.b()) {
            al.d("no remote but still store!", new Object[0]);
        }
        if (!this.c.c().f && this.c.b()) {
            al.e("crash report was closed by remote , will not upload to Bugly , print local for helpful!", new Object[0]);
            as.a(z ? "JAVA_CRASH" : "JAVA_CATCH", ap.a(), this.d.d, thread.getName(), ap.a(th), null);
            if (z) {
                if (this.e == null || !a(this.e)) {
                    if (this.f == null) {
                        al.e("crashreport last handle start!", new Object[0]);
                        c();
                        al.e("crashreport last handle end!", new Object[0]);
                        return;
                    }
                    al.e("system handle start!", new Object[0]);
                    this.f.uncaughtException(thread, th);
                    str3 = "system handle end!";
                    al.e(str3, new Object[0]);
                }
                al.e("sys default last handle start!", new Object[0]);
                this.e.uncaughtException(thread, th);
                str3 = "sys default last handle end!";
                al.e(str3, new Object[0]);
            }
            return;
        }
        CrashDetailBean b = b(thread, th, z, str, bArr, z2);
        if (b != null) {
            as.a(z ? "JAVA_CRASH" : "JAVA_CATCH", ap.a(), this.d.d, thread.getName(), ap.a(th), b);
            if (!this.b.a(b, z)) {
                this.b.b(b, z);
            }
            if (z) {
                this.b.a(b);
            }
            if (z) {
                if (this.e == null || !a(this.e)) {
                }
                al.e("sys default last handle start!", new Object[0]);
                this.e.uncaughtException(thread, th);
                str3 = "sys default last handle end!";
                al.e(str3, new Object[0]);
            }
            return;
        }
        al.e("pkg crash datas fail!", new Object[0]);
        if (z) {
            if (this.e == null || !a(this.e)) {
                if (this.f == null) {
                    al.e("crashreport last handle start!", new Object[0]);
                    c();
                    al.e("crashreport last handle end!", new Object[0]);
                    return;
                }
                al.e("system handle start!", new Object[0]);
                this.f.uncaughtException(thread, th);
                str3 = "system handle end!";
                al.e(str3, new Object[0]);
            }
            al.e("sys default last handle start!", new Object[0]);
            this.e.uncaughtException(thread, th);
            str3 = "sys default last handle end!";
            al.e(str3, new Object[0]);
        }
    }

    public final synchronized void b() {
        this.g = false;
        al.a("close java monitor!", new Object[0]);
        if ("bugly".equals(Thread.getDefaultUncaughtExceptionHandler().getClass().getName())) {
            al.a("Java monitor to unregister: %s", toString());
            Thread.setDefaultUncaughtExceptionHandler(this.e);
            this.j--;
        }
    }

    @Override // java.lang.Thread.UncaughtExceptionHandler
    public final void uncaughtException(Thread thread, Throwable th) {
        synchronized (i) {
            a(thread, th, true, null, null, this.d.Q);
        }
    }
}
