package com.tencent.bugly.proguard;

import android.app.ActivityManager;
import android.content.Context;
import android.text.TextUtils;
import com.tencent.bugly.crashreport.crash.CrashDetailBean;
import com.tencent.bugly.crashreport.crash.jni.NativeCrashHandler;
import com.tencent.bugly.crashreport.crash.jni.NativeExceptionHandler;
import java.util.HashMap;
import java.util.Map;
import org.cocos2dx.lib.BuildConfig;
/* loaded from: classes.dex */
public final class bd implements NativeExceptionHandler {
    private final Context a;
    private final as b;
    private final aa c;
    private final ac d;

    public bd(Context context, aa aaVar, as asVar, ac acVar) {
        this.a = context;
        this.b = asVar;
        this.c = aaVar;
        this.d = acVar;
    }

    private static Map<String, String> a(String[] strArr) {
        HashMap hashMap = new HashMap(strArr == null ? 1 : strArr.length);
        if (strArr != null) {
            for (int i = 0; i < strArr.length; i++) {
                String str = strArr[i];
                if (str != null) {
                    al.a("Extra message[%d]: %s", Integer.valueOf(i), str);
                    String[] split = str.split("=");
                    if (split.length == 2) {
                        hashMap.put(split[0], split[1]);
                    } else {
                        al.d("bad extraMsg %s", str);
                    }
                }
            }
        } else {
            al.c("not found extraMsg", new Object[0]);
        }
        return hashMap;
    }

    @Override // com.tencent.bugly.crashreport.crash.jni.NativeExceptionHandler
    public final boolean getAndUpdateAnrState() {
        String str;
        if (ay.a() == null) {
            return false;
        }
        ay a = ay.a();
        if (a.a.get()) {
            str = "anr is processing, return";
        } else {
            ActivityManager activityManager = a.b;
            if ((z.a(activityManager) || az.a(activityManager, 0L) == null) ? false : true) {
                if (a.a(System.currentTimeMillis())) {
                    return false;
                }
                return a.a(true);
            }
            str = "proc is not in anr, wait next check";
        }
        al.c(str, new Object[0]);
        return false;
    }

    @Override // com.tencent.bugly.crashreport.crash.jni.NativeExceptionHandler
    public final void handleNativeException(int i, int i2, long j, long j2, String str, String str2, String str3, String str4, int i3, String str5, int i4, int i5, int i6, String str6, String str7) {
        al.a("Native Crash Happen v1", new Object[0]);
        handleNativeException2(i, i2, j, j2, str, str2, str3, str4, i3, str5, i4, i5, i6, str6, str7, null);
    }

    /* JADX WARN: Removed duplicated region for block: B:23:0x00a2 A[Catch: Throwable -> 0x0031, TryCatch #2 {Throwable -> 0x0031, blocks: (B:4:0x0012, B:8:0x003a, B:10:0x004d, B:12:0x0055, B:14:0x0061, B:16:0x006d, B:19:0x0074, B:21:0x0084, B:23:0x00a2, B:24:0x00bf, B:26:0x00da, B:28:0x00fe, B:29:0x0105, B:31:0x010f, B:33:0x0117, B:41:0x0163, B:42:0x0167, B:44:0x0171, B:25:0x00c4, B:20:0x0080), top: B:76:0x0012 }] */
    /* JADX WARN: Removed duplicated region for block: B:25:0x00c4 A[Catch: Throwable -> 0x0031, TryCatch #2 {Throwable -> 0x0031, blocks: (B:4:0x0012, B:8:0x003a, B:10:0x004d, B:12:0x0055, B:14:0x0061, B:16:0x006d, B:19:0x0074, B:21:0x0084, B:23:0x00a2, B:24:0x00bf, B:26:0x00da, B:28:0x00fe, B:29:0x0105, B:31:0x010f, B:33:0x0117, B:41:0x0163, B:42:0x0167, B:44:0x0171, B:25:0x00c4, B:20:0x0080), top: B:76:0x0012 }] */
    /* JADX WARN: Removed duplicated region for block: B:28:0x00fe A[Catch: Throwable -> 0x0031, TryCatch #2 {Throwable -> 0x0031, blocks: (B:4:0x0012, B:8:0x003a, B:10:0x004d, B:12:0x0055, B:14:0x0061, B:16:0x006d, B:19:0x0074, B:21:0x0084, B:23:0x00a2, B:24:0x00bf, B:26:0x00da, B:28:0x00fe, B:29:0x0105, B:31:0x010f, B:33:0x0117, B:41:0x0163, B:42:0x0167, B:44:0x0171, B:25:0x00c4, B:20:0x0080), top: B:76:0x0012 }] */
    /* JADX WARN: Removed duplicated region for block: B:36:0x0156  */
    /* JADX WARN: Removed duplicated region for block: B:37:0x015b  */
    /* JADX WARN: Removed duplicated region for block: B:40:0x0161  */
    /* JADX WARN: Removed duplicated region for block: B:50:0x01b4 A[Catch: Throwable -> 0x0231, TryCatch #1 {Throwable -> 0x0231, blocks: (B:48:0x01ae, B:50:0x01b4, B:52:0x01bd), top: B:75:0x01ae }] */
    /* JADX WARN: Removed duplicated region for block: B:52:0x01bd A[Catch: Throwable -> 0x0231, TRY_LEAVE, TryCatch #1 {Throwable -> 0x0231, blocks: (B:48:0x01ae, B:50:0x01b4, B:52:0x01bd), top: B:75:0x01ae }] */
    /* JADX WARN: Removed duplicated region for block: B:72:0x023a  */
    /* JADX WARN: Removed duplicated region for block: B:77:? A[RETURN, SYNTHETIC] */
    @Override // com.tencent.bugly.crashreport.crash.jni.NativeExceptionHandler
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final void handleNativeException2(int i, int i2, long j, long j2, String str, String str2, String str3, String str4, int i3, String str5, int i4, int i5, int i6, String str6, String str7, String[] strArr) {
        String str8;
        String sb;
        boolean z;
        String str9;
        String str10;
        StringBuilder sb2;
        String sb3;
        long j3;
        String str11;
        String str12;
        String str13;
        String str14;
        CrashDetailBean packageCrashDatas;
        al.a("Native Crash Happen v2", new Object[0]);
        if (i3 > 0) {
            try {
                StringBuilder sb4 = new StringBuilder();
                sb4.append(str);
                sb4.append("(");
                str8 = str5;
                sb4.append(str8);
                sb4.append(")");
                sb = sb4.toString();
            } catch (Throwable th) {
                th = th;
                if (al.a(th)) {
                }
            }
        } else {
            str8 = str5;
            sb = str;
        }
        String a = be.a(str3);
        Map<String, String> a2 = a(strArr);
        String str15 = a2.get("HasPendingException");
        if (str15 == null || !str15.equals("true")) {
            z = false;
        } else {
            al.a("Native crash happened with a Java pending exception.", new Object[0]);
            z = true;
        }
        aa aaVar = this.c;
        String str16 = a2.get("ExceptionProcessName");
        try {
            if (str16 != null && str16.length() != 0) {
                al.c("Name of crash process: %s", str16);
                str9 = str16;
                str10 = a2.get("ExceptionThreadName");
                al.c("crash thread name:%s tid:%s", str10, Integer.valueOf(i2));
                if (TextUtils.isEmpty(str10)) {
                    sb2 = new StringBuilder();
                    sb2.append(str10);
                    sb2.append("(");
                    sb2.append(i2);
                    sb2.append(")");
                } else {
                    Thread currentThread = Thread.currentThread();
                    sb2 = new StringBuilder();
                    sb2.append(currentThread.getName());
                    sb2.append("(");
                    sb2.append(i2);
                    sb2.append(")");
                }
                sb3 = sb2.toString();
                j3 = (j2 / 1000) + (j * 1000);
                str11 = a2.get("SysLogPath");
                str12 = a2.get("JniLogPath");
                if (!this.d.b()) {
                    al.d("no remote but still store!", new Object[0]);
                }
                if (this.d.c().f && this.d.b()) {
                    al.e("crash report was closed by remote , will not upload to Bugly , print local for helpful!", new Object[0]);
                    as.a("NATIVE_CRASH", ap.a(), str9, sb3, sb + "\n" + str2 + "\n" + a, null);
                    ap.c(str4);
                    return;
                }
                String str17 = i3 <= 0 ? "KERNEL" : str8;
                str13 = "UNKNOWN";
                if (i3 <= 0) {
                    str13 = i4 > 0 ? z.a(i4) : "UNKNOWN";
                    if (!str13.equals(String.valueOf(i4))) {
                        str14 = str13 + "(" + i4 + ")";
                        String str18 = sb;
                        packageCrashDatas = packageCrashDatas(str9, sb3, j3, sb, str2, a, str17, str14, str4, str11, str12, str7, null, null, true, z);
                        if (packageCrashDatas == null) {
                            al.e("pkg crash datas fail!", new Object[0]);
                            return;
                        }
                        as.a("NATIVE_CRASH", ap.a(), str9, sb3, str18 + "\n" + str2 + "\n" + a, packageCrashDatas);
                        try {
                            if (this.b == null) {
                                al.d("crashHandler is null. Won't upload native crash.", new Object[0]);
                                return;
                            }
                            boolean z2 = !this.b.a(packageCrashDatas, true);
                            be.a(true, NativeCrashHandler.getInstance() != null ? NativeCrashHandler.getDumpFilePath() : null);
                            if (z2) {
                                this.b.b(packageCrashDatas, true);
                            }
                            this.b.a(packageCrashDatas);
                            at.a().t.b();
                            return;
                        } catch (Throwable th2) {
                            th = th2;
                            if (al.a(th)) {
                                th.printStackTrace();
                                return;
                            }
                            return;
                        }
                    }
                }
                str14 = str13;
                String str182 = sb;
                packageCrashDatas = packageCrashDatas(str9, sb3, j3, sb, str2, a, str17, str14, str4, str11, str12, str7, null, null, true, z);
                if (packageCrashDatas == null) {
                }
            }
            packageCrashDatas = packageCrashDatas(str9, sb3, j3, sb, str2, a, str17, str14, str4, str11, str12, str7, null, null, true, z);
            if (packageCrashDatas == null) {
            }
        } catch (Throwable th3) {
            th = th3;
        }
        str9 = aaVar.d;
        str10 = a2.get("ExceptionThreadName");
        al.c("crash thread name:%s tid:%s", str10, Integer.valueOf(i2));
        if (TextUtils.isEmpty(str10)) {
        }
        sb3 = sb2.toString();
        j3 = (j2 / 1000) + (j * 1000);
        str11 = a2.get("SysLogPath");
        str12 = a2.get("JniLogPath");
        if (!this.d.b()) {
        }
        if (this.d.c().f) {
        }
        if (i3 <= 0) {
        }
        str13 = "UNKNOWN";
        if (i3 <= 0) {
        }
        str14 = str13;
        String str1822 = sb;
    }

    @Override // com.tencent.bugly.crashreport.crash.jni.NativeExceptionHandler
    public final CrashDetailBean packageCrashDatas(String str, String str2, long j, String str3, String str4, String str5, String str6, String str7, String str8, String str9, String str10, String str11, byte[] bArr, Map<String, String> map, boolean z, boolean z2) {
        int length;
        String str12;
        int indexOf;
        boolean i = at.a().i();
        if (i) {
            al.e("This Crash Caused By ANR , PLS To Fix ANR , This Trace May Be Not Useful!", new Object[0]);
        }
        CrashDetailBean crashDetailBean = new CrashDetailBean();
        crashDetailBean.b = 1;
        crashDetailBean.e = this.c.g();
        crashDetailBean.f = this.c.o;
        crashDetailBean.g = this.c.q();
        crashDetailBean.m = this.c.f();
        crashDetailBean.n = str3;
        crashDetailBean.o = i ? " This Crash Caused By ANR , PLS To Fix ANR , This Trace May Be Not Useful![Bugly]" : BuildConfig.FLAVOR;
        crashDetailBean.p = str4;
        crashDetailBean.q = str5 == null ? BuildConfig.FLAVOR : str5;
        crashDetailBean.r = j;
        crashDetailBean.u = ap.c(crashDetailBean.q.getBytes());
        crashDetailBean.A = str;
        crashDetailBean.B = str2;
        crashDetailBean.L = this.c.s();
        crashDetailBean.h = this.c.p();
        crashDetailBean.i = this.c.A();
        crashDetailBean.v = str8;
        String dumpFilePath = NativeCrashHandler.getInstance() != null ? NativeCrashHandler.getDumpFilePath() : null;
        String a = be.a(dumpFilePath, str8);
        if (!ap.b(a)) {
            crashDetailBean.Z = a;
        }
        crashDetailBean.aa = be.b(dumpFilePath);
        crashDetailBean.w = be.a(str9, at.f, at.k, at.p);
        crashDetailBean.x = be.a(str10, at.f, null, true);
        crashDetailBean.N = str7;
        crashDetailBean.O = str6;
        crashDetailBean.P = str11;
        crashDetailBean.F = this.c.k();
        crashDetailBean.G = this.c.j();
        crashDetailBean.H = this.c.l();
        crashDetailBean.I = ab.b(this.a);
        crashDetailBean.J = ab.g();
        crashDetailBean.K = ab.h();
        if (z) {
            crashDetailBean.C = ab.j();
            crashDetailBean.D = ab.f();
            crashDetailBean.E = ab.l();
            crashDetailBean.y = ao.a();
            crashDetailBean.Q = this.c.a;
            crashDetailBean.R = this.c.a();
            crashDetailBean.z = ap.a(this.c.Q, at.h);
            int indexOf2 = crashDetailBean.q.indexOf("java:\n");
            if (indexOf2 > 0 && (length = indexOf2 + "java:\n".length()) < crashDetailBean.q.length()) {
                String str13 = crashDetailBean.q;
                String substring = str13.substring(length, str13.length() - 1);
                if (substring.length() > 0 && crashDetailBean.z.containsKey(crashDetailBean.B) && (indexOf = (str12 = crashDetailBean.z.get(crashDetailBean.B)).indexOf(substring)) > 0) {
                    String substring2 = str12.substring(indexOf);
                    crashDetailBean.z.put(crashDetailBean.B, substring2);
                    crashDetailBean.q = crashDetailBean.q.substring(0, length);
                    crashDetailBean.q += substring2;
                }
            }
            if (str == null) {
                crashDetailBean.A = this.c.d;
            }
            crashDetailBean.U = this.c.z();
            crashDetailBean.V = this.c.x;
            crashDetailBean.W = this.c.t();
            crashDetailBean.X = this.c.y();
        } else {
            crashDetailBean.C = -1L;
            crashDetailBean.D = -1L;
            crashDetailBean.E = -1L;
            if (crashDetailBean.w == null) {
                crashDetailBean.w = "This crash occurred at last process! Log is miss, when get an terrible ABRT Native Exception etc.";
            }
            crashDetailBean.Q = -1L;
            crashDetailBean.U = -1;
            crashDetailBean.V = -1;
            crashDetailBean.W = map;
            crashDetailBean.X = this.c.y();
            crashDetailBean.z = null;
            if (str == null) {
                crashDetailBean.A = "unknown(record)";
            }
            if (bArr != null) {
                crashDetailBean.y = bArr;
            }
        }
        return crashDetailBean;
    }
}
