package okio;

import java.util.AbstractList;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;
import java.util.RandomAccess;
/* loaded from: classes.dex */
public final class Options extends AbstractList<ByteString> implements RandomAccess {
    final ByteString[] byteStrings;
    final int[] trie;

    private Options(ByteString[] byteStringArr, int[] iArr) {
        this.byteStrings = byteStringArr;
        this.trie = iArr;
    }

    private static void buildTrieRecursive(long j, Buffer buffer, int i, List<ByteString> list, int i2, int i3, List<Integer> list2) {
        int i4;
        int i5;
        int i6;
        int i7 = i2;
        if (i7 >= i3) {
            throw new AssertionError();
        }
        for (int i8 = i7; i8 < i3; i8++) {
            if (list.get(i8).size() < i) {
                throw new AssertionError();
            }
        }
        ByteString byteString = list.get(i2);
        ByteString byteString2 = list.get(i3 - 1);
        int i9 = -1;
        if (i == byteString.size()) {
            i9 = list2.get(i7).intValue();
            i7++;
            byteString = list.get(i7);
        }
        int i10 = i7;
        if (byteString.getByte(i) == byteString2.getByte(i)) {
            int min = Math.min(byteString.size(), byteString2.size());
            int i11 = 0;
            for (int i12 = i; i12 < min && byteString.getByte(i12) == byteString2.getByte(i12); i12++) {
                i11++;
            }
            long intCount = j + intCount(buffer) + 2 + i11 + 1;
            buffer.writeInt(-i11);
            buffer.writeInt(i9);
            int i13 = i;
            while (true) {
                i4 = i + i11;
                if (i13 >= i4) {
                    break;
                }
                buffer.writeInt(byteString.getByte(i13) & 255);
                i13++;
            }
            if (i10 + 1 == i3) {
                if (i4 != list.get(i10).size()) {
                    throw new AssertionError();
                }
                buffer.writeInt(list2.get(i10).intValue());
                return;
            }
            Buffer buffer2 = new Buffer();
            buffer.writeInt((int) ((intCount(buffer2) + intCount) * (-1)));
            buildTrieRecursive(intCount, buffer2, i4, list, i10, i3, list2);
            buffer.write(buffer2, buffer2.size());
            return;
        }
        int i14 = 1;
        for (int i15 = i10 + 1; i15 < i3; i15++) {
            if (list.get(i15 - 1).getByte(i) != list.get(i15).getByte(i)) {
                i14++;
            }
        }
        long intCount2 = j + intCount(buffer) + 2 + (i14 * 2);
        buffer.writeInt(i14);
        buffer.writeInt(i9);
        for (int i16 = i10; i16 < i3; i16++) {
            byte b = list.get(i16).getByte(i);
            if (i16 == i10 || b != list.get(i16 - 1).getByte(i)) {
                buffer.writeInt(b & 255);
            }
        }
        Buffer buffer3 = new Buffer();
        int i17 = i10;
        while (i17 < i3) {
            byte b2 = list.get(i17).getByte(i);
            int i18 = i17 + 1;
            int i19 = i18;
            while (true) {
                if (i19 >= i3) {
                    i5 = i3;
                    break;
                } else if (b2 != list.get(i19).getByte(i)) {
                    i5 = i19;
                    break;
                } else {
                    i19++;
                }
            }
            if (i18 == i5 && i + 1 == list.get(i17).size()) {
                buffer.writeInt(list2.get(i17).intValue());
                i6 = i5;
            } else {
                buffer.writeInt((int) ((intCount(buffer3) + intCount2) * (-1)));
                i6 = i5;
                buildTrieRecursive(intCount2, buffer3, i + 1, list, i17, i5, list2);
            }
            i17 = i6;
        }
        buffer.write(buffer3, buffer3.size());
    }

    private static int intCount(Buffer buffer) {
        return (int) (buffer.size() / 4);
    }

    /* JADX WARN: Code restructure failed: missing block: B:51:0x00bc, code lost:
        continue;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static Options of(ByteString... byteStringArr) {
        if (byteStringArr.length == 0) {
            return new Options(new ByteString[0], new int[]{0, -1});
        }
        ArrayList arrayList = new ArrayList(Arrays.asList(byteStringArr));
        Collections.sort(arrayList);
        ArrayList arrayList2 = new ArrayList();
        for (int i = 0; i < arrayList.size(); i++) {
            arrayList2.add(-1);
        }
        for (int i2 = 0; i2 < arrayList.size(); i2++) {
            arrayList2.set(Collections.binarySearch(arrayList, byteStringArr[i2]), Integer.valueOf(i2));
        }
        if (((ByteString) arrayList.get(0)).size() != 0) {
            int i3 = 0;
            while (i3 < arrayList.size()) {
                ByteString byteString = (ByteString) arrayList.get(i3);
                int i4 = i3 + 1;
                int i5 = i4;
                while (i5 < arrayList.size()) {
                    ByteString byteString2 = (ByteString) arrayList.get(i5);
                    if (!byteString2.startsWith(byteString)) {
                        break;
                    } else if (byteString2.size() == byteString.size()) {
                        throw new IllegalArgumentException("duplicate option: " + byteString2);
                    } else if (((Integer) arrayList2.get(i5)).intValue() > ((Integer) arrayList2.get(i3)).intValue()) {
                        arrayList.remove(i5);
                        arrayList2.remove(i5);
                    } else {
                        i5++;
                    }
                }
                i3 = i4;
            }
            Buffer buffer = new Buffer();
            buildTrieRecursive(0L, buffer, 0, arrayList, 0, arrayList.size(), arrayList2);
            int[] iArr = new int[intCount(buffer)];
            for (int i6 = 0; i6 < iArr.length; i6++) {
                iArr[i6] = buffer.readInt();
            }
            if (buffer.exhausted()) {
                return new Options((ByteString[]) byteStringArr.clone(), iArr);
            }
            throw new AssertionError();
        }
        throw new IllegalArgumentException("the empty byte string is not a supported option");
    }

    @Override // java.util.AbstractList, java.util.List
    public ByteString get(int i) {
        return this.byteStrings[i];
    }

    @Override // java.util.AbstractCollection, java.util.Collection, java.util.List
    public final int size() {
        return this.byteStrings.length;
    }
}
