package org.cocos2dx.javascript;

import android.content.Context;
import android.text.TextUtils;
import com.amap.api.location.a;
import java.text.SimpleDateFormat;
import java.util.Locale;
import org.cocos2dx.lib.BuildConfig;
/* loaded from: classes.dex */
public class AmapUtils {
    public static final String KEY_URL = "URL";
    public static final int MSG_LOCATION_FINISH = 1;
    public static final int MSG_LOCATION_START = 0;
    public static final int MSG_LOCATION_STOP = 2;
    public static final String URL_H5LOCATION = "file:///android_asset/sdkLoc.html";
    private static SimpleDateFormat sdf;

    public static String formatUTC(long j, String str) {
        if (TextUtils.isEmpty(str)) {
            str = "yyyy-MM-dd HH:mm:ss";
        }
        if (sdf == null) {
            try {
                sdf = new SimpleDateFormat(str, Locale.CHINA);
            } catch (Throwable unused) {
            }
        } else {
            sdf.applyPattern(str);
        }
        return sdf == null ? "NULL" : sdf.format(Long.valueOf(j));
    }

    public static String getAppName(Context context) {
        try {
            return context.getResources().getString(context.getPackageManager().getPackageInfo(context.getPackageName(), 0).applicationInfo.labelRes);
        } catch (Throwable th) {
            th.printStackTrace();
            return BuildConfig.FLAVOR;
        }
    }

    public static synchronized String getLocationStr(a aVar) {
        String str;
        synchronized (AmapUtils.class) {
            if (aVar == null) {
                return null;
            }
            StringBuffer stringBuffer = new StringBuffer();
            if (aVar.c() == 0) {
                stringBuffer.append("定位成功\n");
                stringBuffer.append("定位类型: " + aVar.a() + "\n");
                stringBuffer.append("经    度    : " + aVar.getLongitude() + "\n");
                stringBuffer.append("纬    度    : " + aVar.getLatitude() + "\n");
                stringBuffer.append("精    度    : " + aVar.getAccuracy() + "米\n");
                stringBuffer.append("提供者    : " + aVar.getProvider() + "\n");
                stringBuffer.append("速    度    : " + aVar.getSpeed() + "米/秒\n");
                stringBuffer.append("角    度    : " + aVar.getBearing() + "\n");
                stringBuffer.append("星    数    : " + aVar.n() + "\n");
                stringBuffer.append("国    家    : " + aVar.e() + "\n");
                stringBuffer.append("省            : " + aVar.h() + "\n");
                stringBuffer.append("市            : " + aVar.i() + "\n");
                stringBuffer.append("城市编码 : " + aVar.k() + "\n");
                stringBuffer.append("区            : " + aVar.j() + "\n");
                stringBuffer.append("区域 码   : " + aVar.l() + "\n");
                stringBuffer.append("地    址    : " + aVar.g() + "\n");
                stringBuffer.append("兴趣点    : " + aVar.m() + "\n");
                str = "定位时间: " + formatUTC(aVar.getTime(), "yyyy-MM-dd HH:mm:ss") + "\n";
            } else {
                stringBuffer.append("定位失败\n");
                stringBuffer.append("错误码:" + aVar.c() + "\n");
                stringBuffer.append("错误信息:" + aVar.d() + "\n");
                str = "错误描述:" + aVar.b() + "\n";
            }
            stringBuffer.append(str);
            stringBuffer.append("回调时间: " + formatUTC(System.currentTimeMillis(), "yyyy-MM-dd HH:mm:ss") + "\n");
            return stringBuffer.toString();
        }
    }
}
