package org.cocos2dx.javascript;

import android.content.Intent;
import android.content.res.Configuration;
import android.os.Bundle;
import android.util.Log;
import com.amap.api.location.b;
import com.amap.api.location.c;
import com.amap.api.location.d;
import com.tencent.bugly.crashreport.CrashReport;
import org.cocos2dx.javascript.utils.JniUtil;
import org.cocos2dx.lib.Cocos2dxGLSurfaceView;
import org.cocos2dx.lib.Cocos2dxJavascriptJavaBridge;
/* loaded from: classes.dex */
public class AppActivity extends CheckPermissionsActivity {
    public static AppActivity STATIC_ACTIVITY = null;
    public static final String TAG = "AppActivity";
    public static String UUID;
    public b mLocationClient = null;
    public d mLocationListener = new a();
    public c mLocationOption = null;

    /* loaded from: classes.dex */
    private class a implements d {
        private a() {
        }

        @Override // com.amap.api.location.d
        public void a(com.amap.api.location.a aVar) {
            String str;
            String str2;
            Log.i("test===", "========= 获取定位返回");
            if (aVar != null) {
                Log.i("test===", "========= 有位置");
                if (aVar.c() == 0) {
                    str = "位置：";
                    str2 = aVar.g();
                } else {
                    Log.i("test===", "========= 无位置");
                    str = "AmapError";
                    str2 = "location Error, ErrCode:" + aVar.c() + ", errInfo:" + aVar.d();
                }
                Log.e(str, str2);
                final double latitude = aVar.getLatitude();
                final double longitude = aVar.getLongitude();
                Log.i("test===", "========= lat,lon=" + latitude + longitude);
                if (latitude == 0.0d || longitude == 0.0d) {
                    return;
                }
                AppActivity.STATIC_ACTIVITY.runOnGLThread(new Runnable() { // from class: org.cocos2dx.javascript.AppActivity.a.1
                    @Override // java.lang.Runnable
                    public void run() {
                        String str3 = "cc.WxHelper.setLocationNew(" + (longitude + "," + latitude + ",'','','',''") + ");";
                        Log.i("test===", "========= cls=" + str3);
                        Cocos2dxJavascriptJavaBridge.evalString(str3);
                    }
                });
            }
        }
    }

    private void initAmap() {
        try {
            b.a(this, true, true);
            b.a(this, true);
            this.mLocationClient = new b(getApplicationContext());
        } catch (Exception e) {
            e.printStackTrace();
        }
        this.mLocationClient.a(this.mLocationListener);
        this.mLocationOption = new c();
        this.mLocationOption.a(c.a.Hight_Accuracy);
        this.mLocationOption.b(false);
        this.mLocationOption.e(false);
        this.mLocationOption.c(true);
        this.mLocationOption.a(false);
        this.mLocationOption.d(false);
        this.mLocationClient.a(this.mLocationOption);
        this.mLocationClient.a();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // org.cocos2dx.lib.Cocos2dxActivity, android.app.Activity
    public void onActivityResult(int i, int i2, Intent intent) {
        super.onActivityResult(i, i2, intent);
        SDKWrapper.getInstance().onActivityResult(i, i2, intent);
        switch (i) {
            case 257:
            case 258:
            case 259:
            default:
                return;
        }
    }

    @Override // android.app.Activity
    public void onBackPressed() {
        SDKWrapper.getInstance().onBackPressed();
        super.onBackPressed();
    }

    @Override // android.app.Activity, android.content.ComponentCallbacks
    public void onConfigurationChanged(Configuration configuration) {
        SDKWrapper.getInstance().onConfigurationChanged(configuration);
        super.onConfigurationChanged(configuration);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // org.cocos2dx.javascript.CheckPermissionsActivity, org.cocos2dx.lib.Cocos2dxActivity, android.app.Activity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        getWindow().setFlags(128, 128);
        STATIC_ACTIVITY = this;
        UUID = new DeviceUuidFactory(this).getDeviceUuid().toString();
        if (isTaskRoot()) {
            SDKWrapper.getInstance().init(this);
            Log.i(TAG, "start bugly.......");
            CrashReport.initCrashReport(getApplicationContext());
            Log.i(TAG, "end bugly.......");
            JniUtil.wxInit();
            Log.i("test===", "========= begin initAmap");
            initAmap();
        }
    }

    @Override // org.cocos2dx.lib.Cocos2dxActivity
    public Cocos2dxGLSurfaceView onCreateView() {
        Cocos2dxGLSurfaceView cocos2dxGLSurfaceView = new Cocos2dxGLSurfaceView(this);
        cocos2dxGLSurfaceView.setEGLConfigChooser(5, 6, 5, 0, 16, 8);
        SDKWrapper.getInstance().setGLSurfaceView(cocos2dxGLSurfaceView, this);
        return cocos2dxGLSurfaceView;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // org.cocos2dx.lib.Cocos2dxActivity, android.app.Activity
    public void onDestroy() {
        super.onDestroy();
        SDKWrapper.getInstance().onDestroy();
        if (this.mLocationClient != null) {
            this.mLocationClient.c();
        }
    }

    @Override // android.app.Activity
    protected void onNewIntent(Intent intent) {
        super.onNewIntent(intent);
        SDKWrapper.getInstance().onNewIntent(intent);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // org.cocos2dx.lib.Cocos2dxActivity, android.app.Activity
    public void onPause() {
        super.onPause();
        SDKWrapper.getInstance().onPause();
    }

    @Override // android.app.Activity
    protected void onRestart() {
        super.onRestart();
        SDKWrapper.getInstance().onRestart();
    }

    @Override // android.app.Activity
    protected void onRestoreInstanceState(Bundle bundle) {
        SDKWrapper.getInstance().onRestoreInstanceState(bundle);
        super.onRestoreInstanceState(bundle);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // org.cocos2dx.javascript.CheckPermissionsActivity, org.cocos2dx.lib.Cocos2dxActivity, android.app.Activity
    public void onResume() {
        super.onResume();
        SDKWrapper.getInstance().onResume();
    }

    @Override // android.app.Activity
    protected void onSaveInstanceState(Bundle bundle) {
        SDKWrapper.getInstance().onSaveInstanceState(bundle);
        super.onSaveInstanceState(bundle);
    }

    @Override // android.app.Activity
    protected void onStart() {
        SDKWrapper.getInstance().onStart();
        super.onStart();
    }

    @Override // android.app.Activity
    protected void onStop() {
        super.onStop();
        SDKWrapper.getInstance().onStop();
    }
}
