package org.cocos2dx.javascript;

import android.content.Context;
import android.content.SharedPreferences;
import android.os.Build;
import android.provider.Settings;
import android.telephony.TelephonyManager;
import java.io.UnsupportedEncodingException;
import java.util.UUID;
/* loaded from: classes.dex */
public class DeviceUuidFactory {
    protected static final String PREFS_DEVICE_ID = "device_id";
    protected static final String PREFS_FILE = "device_id.xml";
    protected static UUID uuid;

    /* JADX WARN: Removed duplicated region for block: B:24:0x006f A[Catch: UnsupportedEncodingException -> 0x0093, all -> 0x009c, TryCatch #0 {UnsupportedEncodingException -> 0x0093, blocks: (B:12:0x0030, B:14:0x0038, B:15:0x0042, B:16:0x0045, B:18:0x004b, B:20:0x0057, B:21:0x005f, B:24:0x006f, B:25:0x007a, B:22:0x0064), top: B:37:0x0030, outer: #1 }] */
    /* JADX WARN: Removed duplicated region for block: B:25:0x007a A[Catch: UnsupportedEncodingException -> 0x0093, all -> 0x009c, TRY_LEAVE, TryCatch #0 {UnsupportedEncodingException -> 0x0093, blocks: (B:12:0x0030, B:14:0x0038, B:15:0x0042, B:16:0x0045, B:18:0x004b, B:20:0x0057, B:21:0x005f, B:24:0x006f, B:25:0x007a, B:22:0x0064), top: B:37:0x0030, outer: #1 }] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public DeviceUuidFactory(Context context) {
        TelephonyManager telephonyManager;
        UUID nameUUIDFromBytes;
        if (uuid == null) {
            synchronized (DeviceUuidFactory.class) {
                if (uuid == null) {
                    SharedPreferences sharedPreferences = context.getSharedPreferences(PREFS_FILE, 0);
                    String str = null;
                    String string = sharedPreferences.getString(PREFS_DEVICE_ID, null);
                    if (string != null) {
                        uuid = UUID.fromString(string);
                    } else {
                        String string2 = Settings.Secure.getString(context.getContentResolver(), "android_id");
                        try {
                            if ("9774d56d682e549c".equals(string2)) {
                                if (Build.VERSION.SDK_INT >= 23) {
                                    telephonyManager = AppActivity.getContext().checkSelfPermission("phone") == 0 ? (TelephonyManager) context.getSystemService("phone") : telephonyManager;
                                    nameUUIDFromBytes = str == null ? UUID.nameUUIDFromBytes(str.getBytes("utf8")) : UUID.randomUUID();
                                } else {
                                    telephonyManager = (TelephonyManager) context.getSystemService("phone");
                                }
                                str = telephonyManager.getDeviceId();
                                if (str == null) {
                                }
                            } else {
                                nameUUIDFromBytes = UUID.nameUUIDFromBytes(string2.getBytes("utf8"));
                            }
                            uuid = nameUUIDFromBytes;
                            sharedPreferences.edit().putString(PREFS_DEVICE_ID, uuid.toString()).commit();
                        } catch (UnsupportedEncodingException e) {
                            throw new RuntimeException(e);
                        }
                    }
                }
            }
        }
    }

    public UUID getDeviceUuid() {
        return uuid;
    }
}
