package org.cocos2dx.javascript.utils;

import android.content.BroadcastReceiver;
import android.content.ClipData;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.pm.PackageManager;
import android.hardware.SensorManager;
import android.net.Uri;
import android.os.Build;
import android.telephony.TelephonyManager;
import android.text.ClipboardManager;
import android.text.TextUtils;
import android.util.Log;
import com.tencent.bugly.crashreport.CrashReport;
import com.tencent.mm.opensdk.constants.ConstantsAPI;
import com.tencent.mm.opensdk.modelmsg.SendAuth;
import com.tencent.mm.opensdk.modelmsg.SendMessageToWX;
import com.tencent.mm.opensdk.modelmsg.WXMediaMessage;
import com.tencent.mm.opensdk.modelmsg.WXTextObject;
import com.tencent.mm.opensdk.openapi.IWXAPI;
import com.tencent.mm.opensdk.openapi.WXAPIFactory;
import com.urus.xingjizhengba6677788.R;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import org.cocos2dx.javascript.AndroidUtils;
import org.cocos2dx.javascript.AppActivity;
import org.cocos2dx.lib.BuildConfig;
/* loaded from: classes.dex */
public class JniUtil {
    public static final String TAG = "JniUtil";
    private static IWXAPI api = null;
    private static boolean isGameInite = false;

    public static void addLocalNotifications(String str) {
        Log.i(TAG, "addLocalNotifications..");
    }

    public static void buglyReport(String str, String str2) {
        CrashReport.postCatchedException(new Throwable(str2));
    }

    public static void cancelAllLocalNotifications() {
        Log.i(TAG, "cancelAllLocalNotifications..");
    }

    public static void checkNotification() {
        Log.i(TAG, "checkNotification..");
    }

    public static String getAppVersion() {
        try {
            return AppActivity.STATIC_ACTIVITY.getPackageManager().getPackageInfo(AppActivity.STATIC_ACTIVITY.getPackageName(), 0).versionName;
        } catch (PackageManager.NameNotFoundException unused) {
            Log.e(TAG, "没有这个app: ");
            return "0";
        }
    }

    public static String getClipboard() {
        ClipData.Item itemAt;
        if (Build.VERSION.SDK_INT < 11) {
            ClipboardManager clipboardManager = (ClipboardManager) AppActivity.STATIC_ACTIVITY.getSystemService("clipboard");
            if (clipboardManager == null || clipboardManager.getText() == null) {
                return null;
            }
            return clipboardManager.getText().toString();
        }
        android.content.ClipboardManager clipboardManager2 = (android.content.ClipboardManager) AppActivity.STATIC_ACTIVITY.getSystemService("clipboard");
        if (clipboardManager2 == null || (itemAt = clipboardManager2.getPrimaryClip().getItemAt(0)) == null || itemAt.getText() == null) {
            return null;
        }
        return itemAt.getText().toString();
    }

    public static String getClipboardContent(int i) {
        return AndroidUtils.getClipboardContent(AppActivity.STATIC_ACTIVITY, i);
    }

    public static String getDeviceId() {
        try {
            AppActivity appActivity = AppActivity.STATIC_ACTIVITY;
            return AppActivity.UUID;
        } catch (Exception unused) {
            return "nuknow";
        }
    }

    public static String getVersionCode() {
        try {
            return String.valueOf(AppActivity.STATIC_ACTIVITY.getPackageManager().getPackageInfo(AppActivity.STATIC_ACTIVITY.getPackageName(), 0).versionCode);
        } catch (Exception unused) {
            return "1";
        }
    }

    public static Boolean isAndroidEmulator() {
        Intent intent = new Intent();
        intent.setData(Uri.parse("tel:123456"));
        intent.setAction("android.intent.action.DIAL");
        ComponentName resolveActivity = intent.resolveActivity(AppActivity.STATIC_ACTIVITY.getPackageManager());
        boolean z = false;
        return Boolean.valueOf(((Build.FINGERPRINT.startsWith("generic") || Build.FINGERPRINT.toLowerCase().contains("vbox") || Build.FINGERPRINT.toLowerCase().contains("test-keys") || Build.MODEL.contains("google_sdk") || Build.MODEL.contains("Emulator") || Build.SERIAL.equalsIgnoreCase("unknown") || Build.SERIAL.equalsIgnoreCase("android") || Build.MODEL.contains("Android SDK built for x86") || Build.MANUFACTURER.contains("Genymotion") || ((Build.BRAND.startsWith("generic") && Build.DEVICE.startsWith("generic")) || "google_sdk".equals(Build.PRODUCT) || ((TelephonyManager) AppActivity.STATIC_ACTIVITY.getSystemService("phone")).getNetworkOperatorName().toLowerCase().equals("android") || !(resolveActivity != null))) || notHasLightSensorManager(AppActivity.STATIC_ACTIVITY).booleanValue() || (readCpuInfo() != BuildConfig.FLAVOR)) ? true : true);
    }

    private static Boolean notHasLightSensorManager(Context context) {
        return Boolean.valueOf(((SensorManager) context.getSystemService("sensor")).getDefaultSensor(5) == null);
    }

    public static void onShare(String str, String str2, String str3, int i, int i2, String str4, String str5) {
        WXMediaMessage wXMediaMessage;
        SendMessageToWX.Req req;
        if (i == 1) {
            return;
        }
        if (i == 2) {
            WXTextObject wXTextObject = new WXTextObject();
            wXTextObject.text = str3;
            wXMediaMessage = new WXMediaMessage();
            wXMediaMessage.mediaObject = wXTextObject;
            wXMediaMessage.description = str3;
            wXMediaMessage.mediaTagName = str;
            req = new SendMessageToWX.Req();
        } else if (i != 4) {
            return;
        } else {
            WXTextObject wXTextObject2 = new WXTextObject();
            wXTextObject2.text = str3;
            wXMediaMessage = new WXMediaMessage();
            wXMediaMessage.mediaObject = wXTextObject2;
            wXMediaMessage.description = str3;
            wXMediaMessage.mediaTagName = str;
            req = new SendMessageToWX.Req();
        }
        req.message = wXMediaMessage;
        req.scene = i2;
        api.sendReq(req);
    }

    private static String readCpuInfo() {
        try {
            Process start = new ProcessBuilder("/system/bin/cat", "/proc/cpuinfo").start();
            StringBuffer stringBuffer = new StringBuffer();
            BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(start.getInputStream(), "utf-8"));
            while (true) {
                String readLine = bufferedReader.readLine();
                if (readLine == null) {
                    bufferedReader.close();
                    return stringBuffer.toString().toLowerCase();
                }
                stringBuffer.append(readLine);
            }
        } catch (IOException unused) {
            return BuildConfig.FLAVOR;
        }
    }

    public static void reqLocationOnce() {
        if (AppActivity.STATIC_ACTIVITY.mLocationClient != null) {
            AppActivity.STATIC_ACTIVITY.mLocationClient.a();
        }
    }

    public static void setClipboard(final String str) {
        AppActivity.STATIC_ACTIVITY.runOnGLThread(new Runnable() { // from class: org.cocos2dx.javascript.utils.JniUtil.2
            @Override // java.lang.Runnable
            public void run() {
                String str2;
                String str3;
                try {
                    if (TextUtils.isEmpty(str)) {
                        Log.i("AndroidUtils", "text is empty");
                        return;
                    }
                    if (Build.VERSION.SDK_INT >= 11) {
                        android.content.ClipboardManager clipboardManager = (android.content.ClipboardManager) AppActivity.STATIC_ACTIVITY.getSystemService("clipboard");
                        if (clipboardManager != null) {
                            clipboardManager.setPrimaryClip(ClipData.newPlainText(BuildConfig.FLAVOR, str));
                            return;
                        } else {
                            str2 = "AndroidUtils";
                            str3 = "ClipboardManager is null";
                        }
                    } else {
                        ClipboardManager clipboardManager2 = (ClipboardManager) AppActivity.STATIC_ACTIVITY.getSystemService("clipboard");
                        if (clipboardManager2 != null) {
                            clipboardManager2.setText(str);
                            return;
                        } else {
                            str2 = "AndroidUtils";
                            str3 = "old version ClipboardManager is null";
                        }
                    }
                    Log.i(str2, str3);
                } catch (Exception e) {
                    e.printStackTrace();
                    Log.e("AndroidUtils", "setClipboardContent", e);
                }
            }
        });
    }

    public static void setClipboardContent(String str) {
        AndroidUtils.setClipboardContent(AppActivity.STATIC_ACTIVITY, str);
    }

    public static void setGameInited() {
        isGameInite = true;
    }

    public static void vibratorPhone() {
        AndroidUtils.vibrate(AppActivity.STATIC_ACTIVITY, 300L);
    }

    public static void wxInit() {
        final String string = AppActivity.STATIC_ACTIVITY.getResources().getString(R.string.wx_appid);
        api = WXAPIFactory.createWXAPI(AppActivity.STATIC_ACTIVITY, string, true);
        api.registerApp(string);
        AppActivity.STATIC_ACTIVITY.registerReceiver(new BroadcastReceiver() { // from class: org.cocos2dx.javascript.utils.JniUtil.1
            @Override // android.content.BroadcastReceiver
            public void onReceive(Context context, Intent intent) {
                JniUtil.api.registerApp(string);
            }
        }, new IntentFilter(ConstantsAPI.ACTION_REFRESH_WXAPP));
    }

    public static void wxLogin() {
        SendAuth.Req req = new SendAuth.Req();
        req.scope = "snsapi_userinfo";
        req.state = "wechat_sdk_demo_test";
        api.sendReq(req);
    }
}
